"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const commonFlags = require("../common/flags");
const fs = require("fs");
const YAML = require("js-yaml");
const definition_1 = require("../common/definition");
class Unload extends command_1.Command {
    async run() {
        const configFile = (0, definition_1.resolveConfigFile)();
        if (configFile) {
            const oldConfig = YAML.safeLoad(fs.readFileSync(configFile));
            const { definition, ...newConfig } = oldConfig;
            fs.writeFileSync(configFile, YAML.safeDump(newConfig));
            this.log(`Written to ${configFile}`);
        }
        this.log('Unloaded succesfully!');
    }
}
exports.default = Unload;
Unload.description = 'Unset the default definition file for a workspace (writes to .openapiconfig)';
Unload.examples = [`$ openapi unload`];
Unload.flags = {
    ...commonFlags.help(),
};
Unload.args = [];
